Vulnerability Name:

CVE-2014-8631

Assigned:2014-11-06
Published:2014-12-11
Updated:2016-12-21
Summary:The Chrome Object Wrapper (COW) implementation in Mozilla Firefox before 34.0 and SeaMonkey before 2.31 supports native-interface passing, which allows remote attackers to bypass intended DOM object restrictions via a call to an unspecified method.
CVSS v3 Severity:3.7 Low (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
CVSS v2 Severity:4.3 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
Vulnerability Type:CWE-284
References:Source: CONFIRM
Type: VENDOR_ADVISORY
http://www.mozilla.org/security/announce/2014/mfsa2014-91.html

Source: CONFIRM
Type: UNKNOWN
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html

Source: CONFIRM
Type: UNKNOWN
https://bugzilla.mozilla.org/show_bug.cgi?id=821573

Source: GENTOO
Type: UNKNOWN
https://security.gentoo.org/glsa/201504-01

Vulnerable Configuration:Configuration 1:
  • cpe:/a:mozilla:seamonkey:2.30:*:*:*:*:*:*:*
  • OR cpe:/a:mozilla:firefox:33.0:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.precise:def:20148631000
    V
    CVE-2014-8631 on Ubuntu 12.04 LTS (precise) - medium.
    2014-12-11
    oval:com.ubuntu.trusty:def:20148631000
    V
    CVE-2014-8631 on Ubuntu 14.04 LTS (trusty) - medium.
    2014-12-11
    BACK
    mozilla seamonkey 2.30
    mozilla firefox 33.0